Index: trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.di
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.di	(revision 1607)
+++ trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.di	(revision 1717)
@@ -33,4 +33,32 @@
       <emfPageIdentifier href="ModelicaML.profile.notation#_tms_4OCQEeGn-bDI4pMcpA"/>
     </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_P7XEUGYGEeKa6IhMvygGQA"/>
+    </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_EiqJ4GYKEeKa6IhMvygGQA"/>
+    </availablePage>
+    <availablePage/>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_WRqtoLP7EeKMMvKD8rDWHw"/>
+    </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_SZo9ELQEEeKMMvKD8rDWHw"/>
+    </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_AIAUkLQLEeKMMvKD8rDWHw"/>
+    </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_Se4lQLQLEeKMMvKD8rDWHw"/>
+    </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_P0F9gLQMEeKMMvKD8rDWHw"/>
+    </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_RsSYwLQNEeKMMvKD8rDWHw"/>
+    </availablePage>
+    <availablePage>
+      <emfPageIdentifier href="ModelicaML.profile.notation#_6YvLALQSEeKMMvKD8rDWHw"/>
+    </availablePage>
   </pageList>
   <sashModel currentSelection="//@sashModel/@windows.0/@children.0">
@@ -38,5 +66,17 @@
       <children xsi:type="di:TabFolder">
         <children>
-          <emfPageIdentifier href="ModelicaML.profile.notation#__YCQAOjpEeCDZad2kIJ0mw"/>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_SZo9ELQEEeKMMvKD8rDWHw"/>
+        </children>
+        <children>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_Se4lQLQLEeKMMvKD8rDWHw"/>
+        </children>
+        <children>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_P0F9gLQMEeKMMvKD8rDWHw"/>
+        </children>
+        <children>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_RsSYwLQNEeKMMvKD8rDWHw"/>
+        </children>
+        <children>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_Sq6n8Kx7EeC2GJQ4iCzxPg"/>
         </children>
         <children>
@@ -44,5 +84,5 @@
         </children>
         <children>
-          <emfPageIdentifier href="ModelicaML.profile.notation#_doV4kHyIEeCz14mjmAfPTw"/>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_tms_4OCQEeGn-bDI4pMcpA"/>
         </children>
         <children>
@@ -50,8 +90,11 @@
         </children>
         <children>
-          <emfPageIdentifier href="ModelicaML.profile.notation#_tms_4OCQEeGn-bDI4pMcpA"/>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_6YvLALQSEeKMMvKD8rDWHw"/>
         </children>
         <children>
-          <emfPageIdentifier href="ModelicaML.profile.notation#_Sq6n8Kx7EeC2GJQ4iCzxPg"/>
+          <emfPageIdentifier href="ModelicaML.profile.notation#_ltbbAH-WEeC-I9oqZ53S4w"/>
+        </children>
+        <children>
+          <emfPageIdentifier href="ModelicaML.profile.notation#__YCQAOjpEeCDZad2kIJ0mw"/>
         </children>
       </children>
Index: trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1607)
+++ trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1717)
@@ -18,5 +18,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wlNisnfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wlNis3fcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wlNis3fcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wlNitHfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wlNitXfcEeC8VcOgJ0vxlw"/>
@@ -24,5 +24,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_DU_7MFNTEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wlEYwXfcEeC8VcOgJ0vxlw" x="30" y="140"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wlEYwXfcEeC8VcOgJ0vxlw" x="305" y="455" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wlqOoHfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
@@ -38,5 +38,5 @@
       <children xmi:type="notation:DecorationNode" xmi:id="_wlqOqHfcEeC8VcOgJ0vxlw" type="1084"/>
       <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#FunctionBehavior"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wlqOoXfcEeC8VcOgJ0vxlw" x="30" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wlqOoXfcEeC8VcOgJ0vxlw" x="475" y="455"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wmjmgHfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -56,5 +56,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wmjmjHfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wmjmjXfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wmjmjXfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wmjmjnfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wmjmj3fcEeC8VcOgJ0vxlw"/>
@@ -62,19 +62,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_FEm3oFNTEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wmjmgXfcEeC8VcOgJ0vxlw" x="190" y="140"/>
-    </children>
-    <children xmi:type="notation:Shape" xmi:id="_wmtXgHfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wmtXgnfcEeC8VcOgJ0vxlw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wmtXg3fcEeC8VcOgJ0vxlw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wmtXhHfcEeC8VcOgJ0vxlw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wmtXhXfcEeC8VcOgJ0vxlw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wmtXhnfcEeC8VcOgJ0vxlw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wmtXh3fcEeC8VcOgJ0vxlw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_wmtXiHfcEeC8VcOgJ0vxlw" type="1084"/>
-      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wmtXgXfcEeC8VcOgJ0vxlw" x="190" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wmjmgXfcEeC8VcOgJ0vxlw" x="305" y="216" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wnASc3fcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -94,5 +80,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnASf3fcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wnASgHfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wnASgHfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wnASgXfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wnASgnfcEeC8VcOgJ0vxlw"/>
@@ -100,5 +86,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_J8MRoFNTEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnASdHfcEeC8VcOgJ0vxlw" x="350" y="140"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnASdHfcEeC8VcOgJ0vxlw" x="305" y="45" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wnTNYHfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
@@ -114,5 +100,5 @@
       <children xmi:type="notation:DecorationNode" xmi:id="_wnTNaHfcEeC8VcOgJ0vxlw" type="1084"/>
       <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnTNYXfcEeC8VcOgJ0vxlw" x="350" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnTNYXfcEeC8VcOgJ0vxlw" x="486" y="211"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wnmIUHfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -132,5 +118,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnmIXHfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wnmIXXfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wnmIXXfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wnmIXnfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wnmIX3fcEeC8VcOgJ0vxlw"/>
@@ -138,5 +124,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_uromUFNZEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnmIUXfcEeC8VcOgJ0vxlw" x="510" y="140"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnmIUXfcEeC8VcOgJ0vxlw" x="305" y="520" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wnv5UHfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
@@ -152,5 +138,5 @@
       <children xmi:type="notation:DecorationNode" xmi:id="_wnv5WHfcEeC8VcOgJ0vxlw" type="1084"/>
       <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#PrimitiveType"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnv5UXfcEeC8VcOgJ0vxlw" x="510" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wnv5UXfcEeC8VcOgJ0vxlw" x="475" y="515"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_woC0Q3fcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -170,5 +156,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_woC0T3fcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_woC0UHfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_woC0UHfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_woC0UXfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_woC0UnfcEeC8VcOgJ0vxlw"/>
@@ -176,19 +162,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_MbMDoFNTEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_woC0RHfcEeC8VcOgJ0vxlw" x="670" y="140"/>
-    </children>
-    <children xmi:type="notation:Shape" xmi:id="_woVvMHfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_woVvMnfcEeC8VcOgJ0vxlw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_woVvM3fcEeC8VcOgJ0vxlw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_woVvNHfcEeC8VcOgJ0vxlw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_woVvNXfcEeC8VcOgJ0vxlw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_woVvNnfcEeC8VcOgJ0vxlw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_woVvN3fcEeC8VcOgJ0vxlw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_woVvOHfcEeC8VcOgJ0vxlw" type="1084"/>
-      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_woVvMXfcEeC8VcOgJ0vxlw" x="670" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_woC0RHfcEeC8VcOgJ0vxlw" x="305" y="160" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wopRMHfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -204,9 +176,13 @@
       <children xmi:type="notation:DecorationNode" xmi:id="_wopROHfcEeC8VcOgJ0vxlw" type="1034"/>
       <children xmi:type="notation:BasicCompartment" xmi:id="_wopROXfcEeC8VcOgJ0vxlw" type="1071">
+        <children xmi:type="notation:Shape" xmi:id="_j3xFALP9EeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_pJZUgFNTEd6YXtyPQ2LL6Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_j3xFAbP9EeKMMvKD8rDWHw"/>
+        </children>
         <styles xmi:type="notation:SortingStyle" xmi:id="_wopROnfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wopRO3fcEeC8VcOgJ0vxlw"/>
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wopRPHfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wopRPXfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wopRPXfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wopRPnfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wopRP3fcEeC8VcOgJ0vxlw"/>
@@ -214,19 +190,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_mYX-YFNTEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wopRMXfcEeC8VcOgJ0vxlw" x="830" y="140"/>
-    </children>
-    <children xmi:type="notation:Shape" xmi:id="_wo8MIHfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wo8MInfcEeC8VcOgJ0vxlw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wo8MI3fcEeC8VcOgJ0vxlw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wo8MJHfcEeC8VcOgJ0vxlw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wo8MJXfcEeC8VcOgJ0vxlw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wo8MJnfcEeC8VcOgJ0vxlw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wo8MJ3fcEeC8VcOgJ0vxlw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_wo8MKHfcEeC8VcOgJ0vxlw" type="1084"/>
-      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wo8MIXfcEeC8VcOgJ0vxlw" x="830" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wopRMXfcEeC8VcOgJ0vxlw" x="305" y="325" width="133" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wpPHEHfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -246,5 +208,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wpPHHHfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wpPHHXfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wpPHHXfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wpPHHnfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wpPHH3fcEeC8VcOgJ0vxlw"/>
@@ -252,19 +214,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_1z4DEFNTEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wpPHEXfcEeC8VcOgJ0vxlw" x="990" y="140"/>
-    </children>
-    <children xmi:type="notation:Shape" xmi:id="_wpY4EHfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wpY4EnfcEeC8VcOgJ0vxlw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wpY4E3fcEeC8VcOgJ0vxlw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wpY4FHfcEeC8VcOgJ0vxlw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wpY4FXfcEeC8VcOgJ0vxlw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wpY4FnfcEeC8VcOgJ0vxlw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wpY4F3fcEeC8VcOgJ0vxlw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_wpY4GHfcEeC8VcOgJ0vxlw" type="1084"/>
-      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wpY4EXfcEeC8VcOgJ0vxlw" x="990" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wpPHEXfcEeC8VcOgJ0vxlw" x="305" y="270" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wprzA3fcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -284,5 +232,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wp1kCnfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wp1kC3fcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wp1kC3fcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wp1kDHfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wp1kDXfcEeC8VcOgJ0vxlw"/>
@@ -290,5 +238,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_Pj3a0Mk-Ed6HZ8zVAPACUg"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wprzBHfcEeC8VcOgJ0vxlw" x="1150" y="140"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wprzBHfcEeC8VcOgJ0vxlw" x="305" y="580" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wp-t8HfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
@@ -304,5 +252,5 @@
       <children xmi:type="notation:DecorationNode" xmi:id="_wp-t-HfcEeC8VcOgJ0vxlw" type="1084"/>
       <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Enumeration"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wp-t8XfcEeC8VcOgJ0vxlw" x="1150" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wp-t8XfcEeC8VcOgJ0vxlw" x="475" y="575"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wqSP8HfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -322,5 +270,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wqSP_HfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wqSP_XfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wqSP_XfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wqSP_nfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wqSP_3fcEeC8VcOgJ0vxlw"/>
@@ -328,19 +276,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_SXdLAAUOEd-XJpWQfXQU0A"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wqSP8XfcEeC8VcOgJ0vxlw" x="1310" y="140"/>
-    </children>
-    <children xmi:type="notation:Shape" xmi:id="_wqlK4HfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wqlK4nfcEeC8VcOgJ0vxlw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wqlK43fcEeC8VcOgJ0vxlw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wqlK5HfcEeC8VcOgJ0vxlw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wqlK5XfcEeC8VcOgJ0vxlw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wqlK5nfcEeC8VcOgJ0vxlw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wqlK53fcEeC8VcOgJ0vxlw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_wqlK6HfcEeC8VcOgJ0vxlw" type="1084"/>
-      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wqlK4XfcEeC8VcOgJ0vxlw" x="1310" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wqSP8XfcEeC8VcOgJ0vxlw" x="305" y="100" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wq4F0HfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -360,5 +294,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wq4F3HfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_wq4F3XfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_wq4F3XfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_wq4F3nfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_wq4F33fcEeC8VcOgJ0vxlw"/>
@@ -366,19 +300,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_eTKq4AUVEd-XJpWQfXQU0A"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wq4F0XfcEeC8VcOgJ0vxlw" x="1470" y="140"/>
-    </children>
-    <children xmi:type="notation:Shape" xmi:id="_wrB20HfcEeC8VcOgJ0vxlw" type="1031" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wrB20nfcEeC8VcOgJ0vxlw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wrB203fcEeC8VcOgJ0vxlw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wrB21HfcEeC8VcOgJ0vxlw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wrB21XfcEeC8VcOgJ0vxlw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wrB21nfcEeC8VcOgJ0vxlw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wrB213fcEeC8VcOgJ0vxlw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_wrB22HfcEeC8VcOgJ0vxlw" type="1084"/>
-      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wrB20XfcEeC8VcOgJ0vxlw" x="1470" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wq4F0XfcEeC8VcOgJ0vxlw" x="305" y="380" height="50"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_0Iwh8HfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -410,13 +330,9 @@
           <layoutConstraint xmi:type="notation:Location" xmi:id="_4hMh13fcEeC8VcOgJ0vxlw"/>
         </children>
-        <children xmi:type="notation:Shape" xmi:id="_4hMh2HfcEeC8VcOgJ0vxlw" type="3002" fontHeight="8" lineColor="0">
-          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_n3RdMAndEd-mxt3ftN7uFA"/>
-          <layoutConstraint xmi:type="notation:Location" xmi:id="_4hMh2XfcEeC8VcOgJ0vxlw"/>
-        </children>
         <styles xmi:type="notation:SortingStyle" xmi:id="_0I5r6HfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_0I5r6XfcEeC8VcOgJ0vxlw"/>
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_0I5r6nfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_0I5r63fcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_0I5r63fcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_0I5r7HfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_0I5r7XfcEeC8VcOgJ0vxlw"/>
@@ -424,5 +340,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_SSA0cFNQEd6YXtyPQ2LL6Q"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_0Iwh8XfcEeC8VcOgJ0vxlw" x="345" y="375" width="187"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_0Iwh8XfcEeC8VcOgJ0vxlw" x="65" y="285" width="187" height="96"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_8gJqsHfcEeC8VcOgJ0vxlw" type="1026" fontHeight="8" lineColor="0">
@@ -442,5 +358,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_8gJqvHfcEeC8VcOgJ0vxlw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_8gJqvXfcEeC8VcOgJ0vxlw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_8gJqvXfcEeC8VcOgJ0vxlw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_8gJqvnfcEeC8VcOgJ0vxlw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_8gJqv3fcEeC8VcOgJ0vxlw"/>
@@ -448,5 +364,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_8Nwe0GvUEd65MZ8o9QNr-w"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_8gJqsXfcEeC8VcOgJ0vxlw" x="30" y="363"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_8gJqsXfcEeC8VcOgJ0vxlw" x="480" y="50" height="50"/>
     </children>
     <styles xmi:type="notation:DiagramStyle" xmi:id="_hwBQEXfcEeC8VcOgJ0vxlw"/>
